/*
 * File Name: Obstacle.cs
 * 
 * Date: 06/01/2006
 *
 * Copyright (c) 2006 Michael LaLena. All rights reserved.  (www.lalena.com)
 * Permission to use, copy, modify, and distribute this Program and its documentation,
 *  if any, for any purpose and without fee is hereby granted, provided that:
 *   (i) you not charge any fee for the Program, and the Program not be incorporated
 *       by you in any software or code for which compensation is expected or received;
 *   (ii) the copyright notice listed above appears in all copies;
 *   (iii) both the copyright notice and this Agreement appear in all supporting documentation; and
 *   (iv) the name of Michael LaLena or lalena.com not be used in advertising or publicity
 *          pertaining to distribution of the Program without specific, written prior permission. 
 */ 

package Flock;

import java.awt.*;


class Obstacle extends Bird {
    
    Obstacle(int x, int y)
    {
        super(x, y, 0, Color.black); 
    }

    
    public void move(int angle)
    {
        
    }

   
    public void draw(Graphics g)
    {
        g.setColor(color);
        g.fillOval(location.x-8, location.y-8, 16, 16);
    }
}
