/**
 * File Name: Predator.cs
 * 
 * Date: 06/01/2006
 *
 * Copyright (c) 2006 Michael LaLena. All rights reserved.  (www.lalena.com)
 * Permission to use, copy, modify, and distribute this Program and its documentation,
 *  if any, for any purpose and without fee is hereby granted, provided that:
 *   (i) you not charge any fee for the Program, and the Program not be incorporated
 *       by you in any software or code for which compensation is expected or received;
 *   (ii) the copyright notice listed above appears in all copies;
 *   (iii) both the copyright notice and this Agreement appear in all supporting documentation; and
 *   (iv) the name of Michael LaLena or lalena.com not be used in advertising or publicity
 *          pertaining to distribution of the Program without specific, written prior permission. 
 */

package Flock;

import java.awt.*;


class Predator extends Bird {

   int hambreActual;
    
   
    Predator(int x, int y)
    {
        super(x, y, 0, Color.red); 
    }
    
  
    Predator()
    {
         super(Color.red); 
    }
    
 
    public void setHambre( int hambre ) {
        hambreActual = hambre;
    }
    

    public int getHunger() {
        return hambreActual;
    }
    

    public void eatBird() {
        hambreActual--;
    }
}
